## START: Set by rpmautospec
## (rpmautospec version 0.7.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-minio
Version:        7.2.8
Release:        %autorelease
Summary:        MinIO Python Client SDK for Amazon S3 Compatible Cloud Storage

License:        Apache-2.0
URL:            https://github.com/minio/minio-py
Source:         %{url}/archive/%{version}/minio-py-%{version}.tar.gz

# pycryptodome and pycryptodomex are the same package, but under
# different module names.
# In Fedora we have pycryptodomex, no need to package it a second time
Patch:          use_pycryptodomex.patch

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)

%global _description %{expand:
The MinIO Python Client SDK provides high level APIs to access any MinIO
Object Storage or other Amazon S3 compatible service.}

%description %_description

%package -n python3-minio
Summary:        %{summary}

%description -n python3-minio %_description


%prep
%autosetup -p1 -n minio-py-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install

%pyproject_save_files -l minio


%check
%pyproject_check_import
%pytest


%files -n python3-minio -f %{pyproject_files}
%doc README.md


%changelog
## START: Generated by rpmautospec
* Sun Sep 22 2024 John Doe <packager@example.com> - 7.2.8-1
- Uncommitted changes
## END: Generated by rpmautospec
